## EntangleProgress

EntangleProgress — an interface for monitoring operation progress

## Functions

void | entangle_progress_start ()
void | entangle_progress_update ()
void | entangle_progress_stop ()

## Types and Values

#define | ENTANGLE_TYPE_PROGRESS
struct | EntangleProgressInterface
| EntangleProgress

## Object Hierarchy

        GInterface
        ╰── EntangleProgress

## Prerequisites

EntangleProgress requires GObject.

## Known Implementations

EntangleProgress is implemented by EntangleCameraManager.

## Description

The EntangleProgress interface provides a way to monitor the progress of operations performed by the camera.

## Functions

### entangle_progress_start ()

    void
    entangle_progress_start (EntangleProgress *prog,
                             float target,
                             const char *msg);

### entangle_progress_update ()

    void
    entangle_progress_update (EntangleProgress *prog,
                              float current);

### entangle_progress_stop ()

    void
    entangle_progress_stop (EntangleProgress *prog);

## Types and Values

### ENTANGLE_TYPE_PROGRESS

    #define ENTANGLE_TYPE_PROGRESS (entangle_progress_get_type())

### struct EntangleProgressInterface

    struct EntangleProgressInterface {
        void (*start)(EntangleProgress *prog, float target, const char *msg);
        void (*update)(EntangleProgress *prog, float current);
        void (*stop)(EntangleProgress *prog);
    };

### EntangleProgress

    typedef struct _EntangleProgress EntangleProgress;